For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginTalk to us
DocumentationSDKsConnectAPI Reference
DocumentationSDKsConnectAPI Reference
  • API Reference
      • POSTNotify a single user
      • POSTNotify multiple users
LogoLogo
LoginTalk to us
API ReferenceNotification Event

Notify a single user

POST
https://api.fyno.io/v1/:WSID/:version/event
POST
/v1/:WSID/:version/event
$curl -X POST https://api.fyno.io/v1/FYXXXXXXXX/live/event \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "event": "event_name",
> "to": {}
>}'
1{
2 "event": "event_name",
3 "received_time": "2025-02-17T07:49:13.352Z",
4 "request_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
5 "response": {
6 "discord": {
7 "destination": "101XXXXXXXXXX7XXXXX",
8 "msg_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX:XXXX",
9 "status": "ok"
10 },
11 "email": {
12 "destination": "abcde@fghi.com",
13 "msg_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX:XXXX",
14 "status": "ok"
15 },
16 "inapp": {
17 "destination": "12345",
18 "msg_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX:XXXX",
19 "status": "ok"
20 },
21 "push": {
22 "destination": "ExponentPushToken[XXXXX]",
23 "msg_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX:XXXX",
24 "status": "ok"
25 },
26 "slack": {
27 "destination": "CXXXXXXXXXX",
28 "msg_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX:XXXX",
29 "status": "ok"
30 },
31 "sms": {
32 "destination": "+919879XXXXXX",
33 "msg_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX:XXXX",
34 "status": "ok"
35 },
36 "teams": {
37 "destination": "General",
38 "msg_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX:XXXX",
39 "status": "ok"
40 },
41 "voice": {
42 "destination": "+919879XXXXXX",
43 "msg_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX:XXXX",
44 "status": "ok"
45 },
46 "whatsapp": {
47 "destination": "+919879XXXXXX",
48 "msg_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX:XXXX",
49 "status": "ok"
50 }
51 }
52}

This API enables you to fire a notification event, which sends out notifications to your users.

Before firing your first notification event, you must perform the following actions in your Fyno account:
- Create a Template
- Create a Notification Event
- Create an API Key
- And obtain your workspace ID from the API Keys page.

Was this page helpful?

Notify multiple users

Next
Built with

Authentication

AuthorizationBearer
Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path parameters

WSIDstringRequired
Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
versionenumRequiredDefaults to live
Enter the version for which you wish to fire the notification.
Allowed values:

Request

Your event payload must specify at least *`distinct_id`* or *`to`* while firing a notification event.<br/><br/>If the payload contains&#58;<br/><br/>- <b>Option 1&#58;</b> ONLY *`to`* (and no *`distinct_id`*) - the notification event uses all destination values from the *`to`* object (as it is).<br/><br/>- <b>Option 2&#58;</b> ONLY *`distinct_id`* (and no *`to`*) - the notificaton event uses all destination values (such as SMS, WhatsApp, Email, Push, Voice and so on) from the user's profile and sends the notification.<br/><br/>- <b>Option 3&#58;</b> BOTH *`distinct_id`* and *`to`* - the `to` and `distinct_id` channel data merges (`to` object take precedences) and sends the notification. The sent notification is tagged to the ID specified, which can be then used to search the logs by using `distinct_id`.
objectRequired
OR
objectRequired
OR
objectRequired

Response

Request accepted successfully and it will be processed asynchronously.
eventstring
received_timedate
request_idstring
responseobject

Errors

400
Bad Request Error
401
Unauthorized Error

Your event payload must specify at least distinct_id or to while firing a notification event.

If the payload contains:

- Option 1: ONLY to (and no distinct_id) - the notification event uses all destination values from the to object (as it is).

- Option 2: ONLY distinct_id (and no to) - the notificaton event uses all destination values (such as SMS, WhatsApp, Email, Push, Voice and so on) from the user’s profile and sends the notification.

- Option 3: BOTH distinct_id and to - the to and distinct_id channel data merges (to object take precedences) and sends the notification. The sent notification is tagged to the ID specified, which can be then used to search the logs by using distinct_id.